FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112141153.p0.g286c157.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.g286c157.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=286c157 OS_GIT_VERSION=4.8.0-202112141153.p0.g286c157.assembly.stream-286c157 SOURCE_DATE_EPOCH=1622695081 SOURCE_GIT_COMMIT=286c157755c8120ce969c7c15f969737b46b1a0a SOURCE_GIT_TAG=v0.0.0-alpha.0-405-g286c1577 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-controller-manager-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.8.0.20211214.120549
ENV __doozer=update BUILD_RELEASE=202112141153.p0.g286c157.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.g286c157.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=286c157 OS_GIT_VERSION=4.8.0-202112141153.p0.g286c157.assembly.stream-286c157 SOURCE_DATE_EPOCH=1622695081 SOURCE_GIT_COMMIT=286c157755c8120ce969c7c15f969737b46b1a0a SOURCE_GIT_TAG=v0.0.0-alpha.0-405-g286c1577 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-controller-manager-operator/cluster-openshift-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-openshift-controller-manager-operator_02_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-controller-manager-operator" \
        com.redhat.component="ose-cluster-openshift-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-controller-manager" \
        release="202112141153.p0.g286c157.assembly.stream" \
        io.openshift.build.commit.id="286c157755c8120ce969c7c15f969737b46b1a0a" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-controller-manager-operator/commit/286c157755c8120ce969c7c15f969737b46b1a0a" \
        version="v4.8.0"

